vn.py量化社区
By Traders, For Traders.
Member
avatar
加入于:
帖子: 29
声望: 1

2020-02-11 17:39:48.162493 加载进度:#### [49%]
2020-02-11 17:39:48.207629 加载进度:#### [49%]
2020-02-11 17:39:51.679622 加载进度:##### [53%]
2020-02-11 17:39:52.904243 加载进度:##### [53%]
2020-02-11 17:39:53.141332 加载进度:##### [53%]
2020-02-11 17:39:54.176978 加载进度:##### [53%]
2020-02-11 17:39:54.773169 加载进度:##### [53%]
2020-02-11 17:39:54.918000 加载进度:##### [53%]
2020-02-11 17:39:56.891084 加载进度:##### [58%]
2020-02-11 17:39:58.457493 加载进度:##### [58%]
Exception in thread Thread-168:
multiprocessing.pool.RemoteTraceback:
"""
Traceback (most recent call last):
File "D:\vnstudio\lib\multiprocessing\pool.py", line 121, in worker
result = (True, func(*args, **kwds))
File "D:\yxl _vny\vnpy\app\cta_strategy\backtesting.py", line 1205, in optimize
engine.load_data()
File "D:\yxl _vny\vnpy\app\cta_strategy\backtesting.py", line 240, in load_data
end
File "D:\yxl _vny\vnpy\app\cta_strategy\backtesting.py", line 1253, in load_bar_data
symbol, exchange, interval, start, end
File "D:\yxl _vny\vnpy\trader\database\database_sql.py", line 352, in load_bar_data
data = [db_bar.to_bar() for db_bar in s]
File "D:\yxl _vny\vnpy\trader\database\database_sql.py", line 352, in <listcomp>
data = [db_bar.to_bar() for db_bar in s]
MemoryError
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "D:\vnstudio\lib\threading.py", line 917, in _bootstrap_inner
self.run()
File "D:\vnstudio\lib\threading.py", line 865, in run
self._target(*self._args, **self._kwargs)
File "D:\yxl _vny\vnpy\app\cta_backtester\engine.py", line 295, in run_optimization
output=False
File "D:\yxl _vny\vnpy\app\cta_strategy\backtesting.py", line 567, in run_optimization
result_values = [result.get() for result in results]
File "D:\yxl _vny\vnpy\app\cta_strategy\backtesting.py", line 567, in <listcomp>
result_values = [result.get() for result in results]
File "D:\vnstudio\lib\multiprocessing\pool.py", line 683, in get
raise self._value
MemoryError

Member
avatar
加入于:
帖子: 29
声望: 1

内存是16G的,应该不会出现内存不足的呀!

Administrator
avatar
加入于:
帖子: 4195
声望: 236

MemoryError就是内存不足了,用进程管理器监控一下看看吧

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3